Summary: 	A user friendly and powerful Content Management System
Name: 		CMFPlone
Version: 	2.0.4
Release: 	1
URL: 		http://plone.org
Source: 	http://prdownloads.sourceforge.net/plone/Plone-%{version}.tar.gz
Patch:		archetypes-for-python-2.1.3.patch
License: 	GPL version 2
Group: 		Development/Web Applications
BuildRoot: 	%{_tmppath}/%{name}-root
Packager:	Alex Tucker <alex@floop.org.uk>
Requires:	Zope-webserver >= 2.6.2, CMF >= 1.4.4, DCWorkflow >= 0.5, Formulator >= 1.4.0, CMFActionIcons >= 0.9, CMFQuickInstallerTool >= 1.4, GroupUserFolder >= 2.0, BTreeFolder2 >= 1.0, CMFFormController >= 1.0.1

%description
Plone is a user friendly implementation of the Content Management Framework
written on top of ZOPE.  Plone is a GUI/Interface/Implementation of the
CMF.  It benefits from all features of ZOPE/CMF such as: RDBMS integration,
Python/Perl extensions, Object Oriented Database, Web configurable workflow,
pluggable membership and authentication, Undos, Form validation, amongst
many many other features.  Available protocols: FTP, XMLRPC, HTTP, WEBDAV
and you can hack it to enable SOAP.  Turn it into a distributed application
system by installing ZEO.

%package -n CMF
Summary:	The Zope Content Management Framework
Group:		Development/Web Applications
License: 	Zope Public License (ZPL) Version 2.0
URL:		http://cmf.zope.org/download
Version:	1.4.7
%description -n CMF
The Zope Content Management Framework provides a set of services and
content objects useful for building highly dynamic, content-oriented
portal sites.  As packaged, the CMF generates a site much like the
Zope.org site.  The CMF is intended to be easily customizable, in
terms of both the types of content used and the policies and services
it provides.

%package -n DCWorkflow
Summary:	A workflow tool for Zope
Group:		Development/Web Applications
License: 	Zope Public License (ZPL) Version 2.0
URL:		http://cvs.zope.org/Products/DCWorkflow/
Version:	0.5
%description -n DCWorkflow
DCWorkflow makes it easy to implement workflows where: tasks are assigned to user roles, not individuals; every object of a given type goes through the same workflow; tasks are assigned to user roles, not individuals.

%package -n Formulator
Summary:	Zope tool for form validation.
Group:		Development/Web Applications
License:	Unknown
URL:		http://www.zope.org/Members/infrae/Formulator
Version:	1.6.2
%description -n Formulator
Formulator is a tool to help with the creation and validation of web
forms. Form fields are stored as objects in Zope, in a special Form
folder.

%package -n CMFActionIcons
Summary:	Zope tool for mapping actions to icons
Group:		Development/Web Applications
License:	Zope Public License (ZPL) Version 2.0
URL:		http://cvs.zope.org/Products/CMFActionIcons/
Version:	0.9
%description -n CMFActionIcons
Map CMF actions to icons, for ease of building icon-centric toolbars.

%package -n CMFQuickInstallerTool
Summary:	Zope tool for easy installation of CMF products.
Group:		Development/Web Applications
License:	GPL
URL:		http://sf.net/projects/collective
Version:	1.5.0
%description -n CMFQuickInstallerTool
CMFQuickInstallerTool is a facility for comfortable activation/deactivation
of CMF compliant products inside a CMF site.

%package -n GroupUserFolder
Summary:	Zope Product to manage users and groups
Group:		Development/Web Applications
License:	http://www.gnu.org/copyleft/gpl.html
URL:		http://sf.net/projects/collective
Version:	2.0.1
%description -n GroupUserFolder
GroupUserFolder is a kind of user folder that provides a special kind
of user management.  Some users are "flagged" as GROUP and then normal
users will be able to belong to one or serveral groups.

%package -n BTreeFolder2
Summary:	BTreeFolders are used for efficient storage of large numbers of objects in one folder
Group:		Development/Web Applications
License:	ZPL2
URL:		http://cvs.zope.org/Products/BTreeFolder2/
Version:	1.0.1
%description -n BTreeFolder2
BTree Folders are useful for situations where you need to store a lot
of objects in a single folder, usually of the same type. They make use
of Zope's optimized BTree implementation. They also provide a user
interface optimized for a large number of objects.

%package -n CMFFormController
Summary:	Zope packages for form validation.
Group:		Development/Web Applications
License:	ZPL2
URL:		http://sf.net/projects/collective
Version:	1.0.3beta
%description -n CMFFormController
CMFFormController replaces the portal_form form validation mechanism
from Plone.  It should work just fine in plain CMF as well.

%package -n PlacelessTranslationService
Summary:	Zope support for multilingual interface and access keys
Group:		Development/Web Applications
License:	GPL2
URL:		http://plone.org/development/i18n/existing-translations
Version:	1.0rc8
%description -n PlacelessTranslationService
Full unicode support for multilingual interface and access keys.

%package -n archetypes
Summary:	A Zope/CMF product for developing new content types
Group:		Development/Web Applications
License:	ZPL
URL:		http://sourceforge.net/projects/archetypes/
Version:	1.2.5rc5
Requires:	Zope-webserver >= 2.6.2, CMF >= 1.4.2, CMFPlone >= 2.0, CMFFormController >= 1.0
%description -n archetypes
Framework for the development of new Content Types in
Zope/CMF/Plone. Schema driven automatic form generation, simple
integration with rich content types, and a lower entry bar to the
complex requirements Zope places on new content objects.

%package -n Epoz
Summary:	Cross-browser-wysiwyg-editor for Zope
Group:		Development/Web Applications
License:	ZPL 2
URL:		http://mjablonski.zope.de/Epoz/releases/
Version:	0.8.2
Requires:	Zope-webserver >= 2.6.2
%description -n Epoz
Epoz allows you to edit Zope-objects with a wysiwyg-editor. No
plugins are required. You only have to use a recent browser (IE >=
5.5, Mozilla >= 1.3.1, Netscape >= 7.1, Firebird >= 0.7) that
supports Rich-Text-controls (called Midas for Mozilla).

%package -n ExternalEditor
Summary:	A Zope/CMF product with client side editing hooks
Group:		Development/Web Applications
License:	ZPL 2
URL:		http://www.zope.org/Members/Caseman/ExternalEditor
Version:	0.8
Requires:	Zope-webserver >= 2.6.2
%description -n ExternalEditor
The Zope External Editor is a new way to integrate Zope more seamlessly with
client-side tools.

%prep
%setup -n Plone-2.0.4
%patch -p 1
%build

%install
rm -rf $RPM_BUILD_ROOT

install -m0755 --directory      $RPM_BUILD_ROOT/usr/share/zope/lib/python/Products

cp -Rdp * $RPM_BUILD_ROOT/usr/share/zope/lib/python/Products/
chmod 644 $RPM_BUILD_ROOT/usr/share/zope/lib/python/Products/GroupUserFolder/doc/py2htmldoc.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/CMFPlone
/usr/share/zope/lib/python/Products/PloneErrorReporting
/usr/share/zope/lib/python/Products/PortalTransforms
%doc /usr/share/zope/lib/python/Products/README.txt
%doc /usr/share/zope/lib/python/Products/CONTENTS.txt

%files -n CMF
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/CMFCalendar
/usr/share/zope/lib/python/Products/CMFCore
/usr/share/zope/lib/python/Products/CMFDefault
/usr/share/zope/lib/python/Products/CMFTopic

%files -n DCWorkflow
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/DCWorkflow

%files -n Formulator
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/Formulator

%files -n CMFActionIcons
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/CMFActionIcons

%files -n CMFQuickInstallerTool
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/CMFQuickInstallerTool

%files -n GroupUserFolder
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/GroupUserFolder

%files -n BTreeFolder2
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/BTreeFolder2

%files -n CMFFormController
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/CMFFormController

%files -n PlacelessTranslationService
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/PlacelessTranslationService

%files -n archetypes
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/Archetypes
/usr/share/zope/lib/python/Products/generator
/usr/share/zope/lib/python/Products/validation

%files -n Epoz
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/Epoz

%files -n ExternalEditor
%defattr(-,root,root)
/usr/share/zope/lib/python/Products/ExternalEditor

%changelog
* Fri Nov 12 2004 Alex Tucker <alex@floop.org.uk> - 2.0.4-1
- Updated to version 2.0.4

* Sat May 22 2004 Alex Tucker <alex@floop.org.uk> 2.0.3-1
- Updated to version 2.0.3

* Mon May 10 2004 Alex Tucker <alex@floop.org.uk> 2.0-1
- Updated to version 2.0.  Subpackaged included zope pacakges.

* Sat Jan 10 2004 Alex Tucker <alex@floop.org.uk> 1.0.5-2
- Fixed default homepage bug.

* Fri Sep 12 2003 Alex Tucker <alex@floop.org.uk>
- Updated to version 1.0.5, with dependancy on CMF 1.3.2.

* Fri Aug 22 2003 Alex Tucker <alex@floop.org.uk>
- Updated to version 1.0.4

* Thu Jun 26 2003 Alex Tucker <alex@floop.org.uk>
- Updated to version 1.0.3

* Wed Jun 11 2003 Alex Tucker <alex@floop.org.uk>
- Updated to version 1.0.2

* Tue May 13 2003 Alex Tucker <alex@floop.org.uk>
- Initial build.



